Subject: Fwd: Re: [EAI] Local-Part auto converting ?

From: "Charles Lindsey" <[email-masked]>
Date: Fri, 01 Dec 2006 15:31:44 -0000

On Thu, 30 Nov 2006 14:18:32 -0000, John C Klensin <[email-masked]> wrote:

> --On Wednesday, 29 November, 2006 20:28 +0000 Charles Lindsey
> <[email-masked]> wrote:

>> Personally, I find it useful quite often. I receive some
>> (possibly spam)whose To: and From: headers make no sense to
>> me. So I look at the Receivedheaders to see why it came to me.
>> That way the 'for' field will at leasttell me why it came to
>> me, and whether I got it as [email-masked],or as
>> [email-masked], or as [email-masked] or various
>> otherpossibilities
>
> Of course, if there is more than one member of
> "[email-masked]", anything that supplies a "for" with
> an individual address in it is violating the specs.

Yes, but before it reached the point where it was split into the various
individual members, the Received header will show "for
[email-masked]". Yes, tracing headers added later will make it
clear what is happenng, but the easient thing to do with an email that
seems 'odd' is to look at the earliest Received header present, which is
usually enough on its own to tell you what was going on.

-- 
Charles H. Lindsey ---------At Home, doing my own thing------------------------
Tel: +44 161 436 6131                       
   Web: http://www.cs.man.ac.uk/~chl
Email: [email-masked]      Snail: 5 Clerewood Ave, CHEADLE, SK8 3JU, U.K.
PGP: 2C15F1A9      Fingerprint: 73 6D C2 51 93 A0 01 E7 65 E8 64 7E 14 A4 AB A5

_______________________________________________
IMA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ima